<?
 session_start();
if(strlen($brcode)<=0)
{
 print "<script> alert('Session timed out'); parent.document.location='../ind.php'; </script>";
 return;
}
include("../opendb.php");
include("../test.php");
?>
<style>
body,td{font-family:'arial narrow';letter-spacing:1;font-size:13}
th{background-color:c1d799}
.mnu{margin-left:5}
body{BACKGROUND-COLOR:fcfff1}
</style>
<H3>PURCHASE REGISTER</H3>
<form action='<?print $PHP_SELF?>'>
<table bgcolor='silver'>
<tr><td> Date from </td><td>dd<input type=text name='d' size=2 value='<?print date("d",time())?>'>
				mm<input type=text name='m' size=2 value='<?print date("m",time())?>'>
				yy<input type=text name='y' size=4 value='<?print date("Y",time())?>'>
			</td></tr>

<tr><td> To </td><td>dd<input type=text name='d1' size=2 value='<?print date("d",time())?>'>
				mm<input type=text name='m1' size=2 value='<?print date("m",time())?>'>
				yy<input type=text name='y1' size=4 value='<?print date("Y",time())?>'>
			</td>
</tr>
<tr><td colspan=2 align=center><input type=submit name='show' value='Show'>
<input type=submit value='Print' name='prn'></td></tr>
</table>
</form>
<?
if($prn)
{
   $df=$y.'-'.$m.'-'.$d;
   $dt=$y1.'-'.$m1.'-'.$d1;
       print "<script> window.open('prnvehpreg.php?df=$df&dt=$dt');</script>";
}
 if($show)
  {
   $df=$y.'-'.$m.'-'.$d;
   $dt=$y1.'-'.$m1.'-'.$d1;
   $result=mysqli_query($db,"select * from veh_purchase where entrydate>='$df' and entrydate<='$dt' and brcode='$brcode' and tax>0 and oldornew='-' order by pur_no") or die(mysqli_error());
   if(mysqli_num_rows($result)>0)
   {
?>
<table bgcolor=silver cellspacing=1 cellpadding=1>
<th>No.<th>PurNo<th>Supplier <th>TIN<th>Inv NO.<th>Inv. Date <th>Entry Date<th>chasis<th>DA <th>MCode <th>Config<th>Cat <th>Net Amt.
<th>Tax <th>Tax% <th>Before Tax
<?
$i=1;
     while($row=mysqli_fetch_array($result))
     {

$rrcat=mysqli_query($db,"select cat from veh_master where config='$row[config]' and brcode='$brcode'");
$rowcat=mysqli_fetch_row($rrcat);
$rrstin=mysqli_query($db,"select tin from sup_master where supname ='$row[0]' and branch='$brcode'");
$rowstin=mysqli_fetch_row($rrstin);

       $ei=substr($row[ledger],0,4);

      print "<tr bgcolor=white><td>".$i++."</td>";
      if($ei=='EICH')
	      print "<td align=center>$row[pur_no]</td>";
      else
	      print "<td align=center>D-$row[pur_no]</td>";
      print "<td>$row[ledger]</td><td>$rowstin[0]</td><td>$row[invno]</td><td>".datetohtml($row[invdate])."</td><td>".datetohtml($row[entrydate])."</td>";
      print "<td>$row[chasis]</td><td>$row[da]</td><td>$row[mcode]</td><td>$row[config]</td><td>$rowcat[0]</td><td align=right>$row[netamt]</td>";
      print "<td align=right>$row[tax]</td><td align=right>$row[taxp]</td><td align=right>$row[amt2]</td></tr>";
    }
}
else
 print "Record does not exist";
}
?>
</table>
